Bug 168386 - instant SEGV, 100% reproducible
instant SEGV, 100% reproducible
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 12:04 EDT by James Antill
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 20:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2005-09-15 12:04:19 EDT
Description of problem:
 gdb core dumps when using printf with the %zu format

Version-Release number of selected component (if applicable):
gdb(0:6.3.0.0-1.21).i386

How reproducible:
always

Steps to Reproduce:
1. start gdb
2. run the command: printf "%zu", (size_t)1
  
Actual results:
core dump

Expected results:
no core dump

Additional info:
Comment 1 Jan Kratochvil 2006-07-25 07:28:31 EDT
While FC5 (gdb-6.3.0.0-1.122) is still broken RawHide (gdb-6.5-3.fc6) is already
fixed.  Suggesting CLOSED-RAWHIDE.

(gdb) printf "%zu", (size_t)1
Unrecognized format specifier 'z' in printf
(gdb) q
bash-3.1# rpm -qv gdb
gdb-6.5-3.fc6
Comment 2 Jan Kratochvil 2006-08-15 20:04:10 EDT
Thanks for the bugreport, Fedora Core backport will not be done as it is not
considered so serious. Please rpmbuild --rebuild FC6 or RawHide gdb-*.src.rpm if
the fix would be needed.

Note You need to log in before you can comment on or make changes to this bug.